Skip to main content

Retrieve the State of an nRF9x Device

GET 

/v1/organizations/:organization_slug/projects/:project_slug/long-range/devices/:device_id/state

Different API host

Send this request to https://api.nrfcloud.com, not the default Memfault API host.

Retrieve the state of a single nRF9x Device in a given Project.

Requires an Organization Auth Token with the device:read permission.


Return Value​

FieldTypeDescription
reportedObjectThe state last reported by the device.
desiredObjectThe state requested for the device.
deltaObjectThe desired values that differ from the reported ones.
metadataObjectUpdate timestamps of the reported and desired values.
versionIntegerThe state version, incremented on every update.

When transform is set, the response is the result of the JSONata expression evaluated against this object.

Request​

Responses​

OK